メインコンテンツへスキップ
GET
/
tasks
/
{task_id}
cURL
curl -i -X GET "https://api.box.com/2.0/tasks/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "11446498",
  "type": "task",
  "item": {
    "id": "12345",
    "type": "file",
    "etag": "1",
    "sequence_id": "3",
    "name": "Contract.pdf",
    "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
    "file_version": {
      "id": "12345",
      "type": "file_version",
      "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
    }
  },
  "due_at": "2012-12-12T10:53:43-08:00",
  "action": "review",
  "message": "Legal review",
  "task_assignment_collection": {
    "total_count": 100,
    "entries": [
      {
        "id": "11446498",
        "type": "task_assignment",
        "item": {
          "id": "12345",
          "type": "file",
          "etag": "1",
          "sequence_id": "3",
          "name": "Contract.pdf",
          "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
          "file_version": {
            "id": "12345",
            "type": "file_version",
            "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
          }
        },
        "assigned_to": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "message": "Please review",
        "completed_at": "2012-12-12T10:53:43-08:00",
        "assigned_at": "2012-12-12T10:53:43-08:00",
        "reminded_at": "2012-12-12T10:53:43-08:00",
        "resolution_state": "incomplete",
        "assigned_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        }
      }
    ]
  },
  "is_completed": true,
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "completion_rule": "all_assignees"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

task_id
string
必須

タスクのID。

レスポンス

タスクオブジェクトを返します。

タスクを使用すると、Boxでファイル中心のワークフローを実現できます。ユーザーはファイルに関連するタスクを作成し、タスクを完了するために他のユーザーに割り当てることができます。

id
string

このタスクの一意の識別子。

:

"11446498"

type
enum<string>

値は常にtaskになります。

利用可能なオプション:
task
:

"task"

item
ファイル (Mini) · object

タスクに関連付けられたファイル。

due_at
string<date-time>

タスクの期限。

:

"2012-12-12T10:53:43-08:00"

action
enum<string>

タスク担当者が実行するように求められるタスクのタイプ。

利用可能なオプション:
review,
complete
:

"review"

message
string

タスクに含めるメッセージ。

:

"Legal review"

task_assignment_collection
タスク割り当て · object

タスクに関連付けられたタスク割り当てオブジェクトのコレクション。

is_completed
boolean

タスクが完了しているかどうか。

:

true

created_by
ユーザー (Mini) · object

タスクを作成したユーザー。

created_at
string<date-time>

タスクオブジェクトが作成された日時。

:

"2012-12-12T10:53:43-08:00"

completion_rule
enum<string>

タスクが完了と見なされる前にそのタスクを完了する必要がある担当者を定義します。

  • all_assignees - タスクが完了と見なされるには、すべての担当者がそのタスクをレビューまたは承認する必要があります。
  • any_assignee - いずれか1人の担当者がタスクをレビューまたは承認すれば、タスクが完了と見なされます。
利用可能なオプション:
all_assignees,
any_assignee
:

"all_assignees"